import '../../stencil.core';
import { IStcTabContentData, IStcTabHeaderData } from './interfaces';
interface ITabGroup {
    header: IStcTabHeaderData;
    content: IStcTabContentData;
}
export declare class StcTabs {
    tabsHeader: IStcTabHeaderData[];
    tabsContent: IStcTabContentData[];
    tabGroup: ITabGroup[];
    host: HTMLElement;
    selectedIndex: number;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    onSelectedTab(event: CustomEvent): void;
    createGroup(): void;
    selectGroup(group: ITabGroup): void;
    activeIndex: any;
    render(): JSX.Element[];
}
export {};
